# -*- coding: utf-8 -*-

def calc_info(user_infos):
    """calcule secureid : identifiant crypté unique pour chaque utilisateur"""
    # vérification des groupes de l'utilisateur
    if 'eleves' in user_infos['user_groups']:
        return user_infos['Meflcf']
    if (user_infos['typeadmin'][0] in ['1', '2']) or ('professeurs' in user_infos['user_groups']):
        niveaux = []
        for group in user_infos['user_groups']:
            if group.startswith('profs-'):
                classe = user_infos['info_groups'].get(group.replace('profs-',''), {})
                if 'niveau' in classe and classe['niveau'][0] not in niveaux:
                    niveaux.append(classe['niveau'][0])
        return niveaux
    # autre : rien
    return []
